Bug 1121444 - [abrt] gitg: xmlRegAtomAddRange(): gitg killed by SIGSEGV
Summary: [abrt] gitg: xmlRegAtomAddRange(): gitg killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gitg
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ignacio Casal Quinteiro (nacho)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cae83467b06861cbb3ceb92b0ce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 01:52 UTC by Paul Robertson
Modified: 2015-06-29 21:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:40:04 UTC


Attachments (Terms of Use)
File: backtrace (79.20 KB, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details
File: core_backtrace (27.76 KB, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details
File: dso_list (8.90 KB, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details
File: environ (2.16 KB, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details
File: maps (42.94 KB, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details
File: open_fds (1.90 KB, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details
File: var_log_messages (328 bytes, text/plain)
2014-07-21 01:52 UTC, Paul Robertson
no flags Details

Description Paul Robertson 2014-07-21 01:52:18 UTC
Version-Release number of selected component:
gitg-0.2.7-2.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gitg
crash_function: xmlRegAtomAddRange
executable:     /usr/bin/gitg
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 xmlRegAtomAddRange at xmlregexp.c:1242
 #4 xmlFAParseCharClassEsc at xmlregexp.c:4916
 #5 xmlFAParsePosCharGroup at xmlregexp.c:5074
 #6 xmlFAParseCharGroup at xmlregexp.c:5117
 #7 xmlFAParseCharClass at xmlregexp.c:5137
 #8 xmlFAParseAtom at xmlregexp.c:5291
 #9 xmlFAParsePiece at xmlregexp.c:5308
 #10 xmlFAParseBranch at xmlregexp.c:5334
 #11 xmlFAParseRegExp at xmlregexp.c:5369
 #12 xmlRegexpCompile__internal_alias at xmlregexp.c:5465

Comment 1 Paul Robertson 2014-07-21 01:52:20 UTC
Created attachment 919501 [details]
File: backtrace

Comment 2 Paul Robertson 2014-07-21 01:52:21 UTC
Created attachment 919502 [details]
File: cgroup

Comment 3 Paul Robertson 2014-07-21 01:52:22 UTC
Created attachment 919503 [details]
File: core_backtrace

Comment 4 Paul Robertson 2014-07-21 01:52:23 UTC
Created attachment 919504 [details]
File: dso_list

Comment 5 Paul Robertson 2014-07-21 01:52:24 UTC
Created attachment 919505 [details]
File: environ

Comment 6 Paul Robertson 2014-07-21 01:52:24 UTC
Created attachment 919506 [details]
File: exploitable

Comment 7 Paul Robertson 2014-07-21 01:52:25 UTC
Created attachment 919507 [details]
File: limits

Comment 8 Paul Robertson 2014-07-21 01:52:26 UTC
Created attachment 919508 [details]
File: maps

Comment 9 Paul Robertson 2014-07-21 01:52:27 UTC
Created attachment 919509 [details]
File: open_fds

Comment 10 Paul Robertson 2014-07-21 01:52:28 UTC
Created attachment 919510 [details]
File: proc_pid_status

Comment 11 Paul Robertson 2014-07-21 01:52:29 UTC
Created attachment 919511 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:25:19 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:40:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.